gtkmm: Gtk::Menu_Helpers::MenuList Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::Menu_Helpers::MenuList Class Reference
Inheritance diagram for Gtk::Menu_Helpers::MenuList:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::MenuList:
[legend]

## Public Types
typedef Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > > | type_base
Public Types inherited from Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >
typedef T_Child | value_type
typedef value_type & | reference
typedef const value_type & | const_reference
typedef T_Iterator | iterator
typedef List_ConstIterator< iterator > | const_iterator
typedef List_ReverseIterator< iterator > | reverse_iterator
typedef List_ConstIterator< reverse_iterator > | const_reverse_iterator
typedef T_CppElement | element_type
typedef std::size_t | difference_type
typedef std::size_t | size_type

## Public Member Functions
| MenuList ()
| MenuList (GtkMenuShell*gparent)
| MenuList (const MenuList& src)
virtual | ~MenuList ()
MenuList& | operator= (const MenuList& src)
GtkMenuShell* | gparent ()
const GtkMenuShell* | gparent () const
virtual GList*& | glist () const
virtual void | erase (iterator start, iterator stop)
virtual iterator | erase (iterator)
virtual void | remove (const_reference)
reference | operator[] (size_type l) const
| This is order n. (use at own risk) More...
iterator | insert (iterator position, element_type& e)
template<class InputIterator >
void | insert (iterator position, InputIterator first, InputIterator last)
void | push_front (element_type& e)
void | push_back (element_type& e)
virtual void | remove (Widget& widget)
Public Member Functions inherited from Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >
| HelperList ()
| HelperList (GObject *gp)
virtual | ~HelperList () noexcept
size_type | size () const
size_type | max_size ()
bool | empty ()
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
reference | front () const
reference | back () const
reference | operator[] (size_type l) const
void | pop_front ()
void | pop_back ()
void | clear ()
GObject * | gparent ()
const GObject * | gparent () const

## Additional Inherited Members
Protected Member Functions inherited from Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >
iterator | begin_ () const
iterator | end_ () const
Protected Attributes inherited from Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >
GObject * | gparent_

## Member Typedef Documentation

typedef Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator<GtkMenuItem,MenuItem> > Gtk::Menu_Helpers::MenuList::type_base

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::MenuList::MenuList | ( |  | ) |

Gtk::Menu_Helpers::MenuList::MenuList | ( | GtkMenuShell * | gparent | ) |
| explicit

Gtk::Menu_Helpers::MenuList::MenuList | ( | const MenuList& | src | ) |

virtual Gtk::Menu_Helpers::MenuList::~MenuList | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual void Gtk::Menu_Helpers::MenuList::erase | ( | iterator | start,
|  | iterator | stop
| ) |  |
| virtual

Reimplemented from Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

virtual iterator Gtk::Menu_Helpers::MenuList::erase | ( | iterator |  | ) |
| virtual

Implements Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

virtual GList*& Gtk::Menu_Helpers::MenuList::glist | ( |  | ) | const
| virtual

Implements Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

GtkMenuShell* Gtk::Menu_Helpers::MenuList::gparent | ( |  | ) |

const GtkMenuShell* Gtk::Menu_Helpers::MenuList::gparent | ( |  | ) | const

iterator Gtk::Menu_Helpers::MenuList::insert | ( | iterator | position,
|  | element_type & | e
| ) |  |

template <class InputIterator >

void Gtk::Menu_Helpers::MenuList::insert | ( | iterator | position,
|  | InputIterator | first,
|  | InputIterator | last
| ) |  |
| inline

MenuList& Gtk::Menu_Helpers::MenuList::operator= | ( | const MenuList& | src | ) |

reference Gtk::Menu_Helpers::MenuList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk)

void Gtk::Menu_Helpers::MenuList::push_back | ( | element_type & | e | ) |
| inline

void Gtk::Menu_Helpers::MenuList::push_front | ( | element_type & | e | ) |
| inline

virtual void Gtk::Menu_Helpers::MenuList::remove | ( | const_reference |  | ) |
| virtual

Implements Glib::HelperList< MenuItem, const Element, Glib::List_Cpp_Iterator< GtkMenuItem, MenuItem > >.

virtual void Gtk::Menu_Helpers::MenuList::remove | ( | Widget& | widget | ) |
| virtual

The documentation for this class was generated from the following file:

- gtkmm/menushell.h